Charge

A server side /charges call is required to place the transaction once you have obtained a customer token and the customer has chosen to proceed with payment.

Useful notes

  • The customer account_id can either be obtained by making an /accounts API call server side using your access_token OR fro the frontend JS widget if you have passed an access_code back to the front-end.
The Charges Response
  • amount DOUBLE

    Amount of this charge. This is the amount that will be transferred (if capture=true) from customer to merchant account or ring-fenced if capture=false.

  • captured_amount DOUBLE

    Total amount captured for this charge.

  • created_date STRING

    The date on which the charge was created

  • currency STRING

    Transaction currency.

  • id STRING

    Transaction ID

  • product STRING

    Zip product name

  • receipt_number STRING

    Transactoin receipt number

  • refunded_amount DOUBLE

    Total amount refunded for this charge

  • state STRING

    A successful state of the charge is approved captured or authorised(For deferred payments)

    Ensure your system accepts approved captured or authorised as valid responses

Body Params
string
required
string

Unique payment reference for this charge.

double
required

Amount of this charge. This is the amount that will be transferred (if capture=true) from customer to merchant account or ring-fenced if capture=false.

string
required

Transaction currency. Supported values AUD

string

Defaults to true. Capture=true will immediately transfer funds to merchant account and deduct the funds from customers account. Capture=False will authorize only and will ring-fence funds to be transferred on a call to /capture

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json